Bug 28233 - backup to different directory with 2 instances of gnotepad+ 1.3.1
backup to different directory with 2 instances of gnotepad+ 1.3.1
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnotepad+ (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-18 15:32 EST by Karl schmidt
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-19 15:08:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karl schmidt 2001-02-18 15:32:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i686)


if you set it to backup to other directory - and have two instances of
gnotpade running it returns error - cannot create backup

Reproducible: Sometimes
Steps to Reproduce:
1.set to backup to other directory
2.open two instances of different files in diff directories
3.try to save
	

Actual Results:  returns error

Expected Results:  should have created backup files in directory
Comment 1 David Mason 2001-02-19 11:15:43 EST
now in powertools - reassigning
Comment 2 Tim Powers 2001-02-19 14:19:32 EST
What is the error you are getting when you encounter this problem? I need the
error message you get when starting it from an xterm.

I do get error messages if I try to create the backup files on a device which is
different from where the file being edited is located, but that's to be expected
with the way this application was designed. Here is the error I get (even with
single files being edited):

file_backup: rename() error: Invalid cross-device link

Is this what you are seeing in the xterm?

Tim
Comment 3 Tim Powers 2001-02-19 15:08:49 EST
The option for which directory to create backups should not even exist. The
problem with that option is that it assumes wrongly that all files that you want
to edit will be be on the same device. It should create backups in the same
location as the file you are editing. I am removing this configuration option
from the preferences window so that others won't run into this either.

This is fixed in gnotepad+-1.3.3-3
Tim

Note You need to log in before you can comment on or make changes to this bug.